Eclipse 에서 JSDT 와 같은 프로젝트를 import 한 경우 다음과 같은 에러가 발생하는 경우가 있다.


"An API baseline has not been set for the current workspace"


이 에러는 Eclipse Plug-in Development 와 JSDT 등과 같은 플랫폼코드단의 버그로 보인다.


위와 같은 에러가 발생 할 경우 다음과 같이 Preference 설정을 바꿔준다.

  1. Windows > Preferences > Plug-in Development > API Baselines > Options > Missing API baseline\

  2. Error 로 설정된 부분을 Ignore 로 변경해준다.



Reference: http://exploreeclipse.blogspot.kr/2014/01/eclipse-error-api-baseline-has-not-been.html

Posted by leechwin